package pl.afizyka.intencjaaktywnosci

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.os.Bundle
import androidx.core.content.ContextCompat.startActivity

class MojeFunkcje {

    fun Zamknij(aktywnosc:Activity){
        //finishAffinity- zamyka wszystkie aktywności
        //finish- zamyka biezaca aktywność z której
        // funkcja została wywołana
        aktywnosc.finishAffinity()
        System.exit(0)
    }

    fun OtworzAktywnosc(kontekst: Context, klasaAktywnosci: Class<*>){
        val intencja = Intent(kontekst,klasaAktywnosci )
        //Bundle.EMPTY - twórz nowy pusty pakiet
        startActivity(kontekst,intencja, Bundle.EMPTY)
    }
}